schema_version: 0.3
type: consumer
identifier: sdl2_audio
title: SDL2 Audio Only
version: 2
copyright: Meltytech, LLC
creator: Dan Dennedy
license: LGPLv2.1
language: en
tags:
  - Audio
description: >
  Simple DirectMedia Layer audio only output module.

parameters:
  - identifier: volume
    title: Volume
    type: float
    description: Audio level factor.
    mutable: yes

  - identifier: audio_off
    title: Audio off
    type: integer
    description: If 1, disable audio output
    mutable: yes
    minimum: 0
    maximum: 1
    default: 0
    widget: checkbox

  - identifier: audio_buffer
    title: Audio buffer
    type: integer
    description: Size of the sdl audio buffer.
    mutable: yes
    default: 2048
    minimum: 128

  - identifier: scrub_audio
    title: Audio scrubbing
    type: integer
    description: If enabled, sound is played even when the speed is not normal.
    mutable: yes
    minimum: 0
    maximum: 1
    default: 0
    widget: checkbox

  - identifier: video_delay
    title: Video delay
    mutable: no
    type: integer
    unit: milliseconds
    default: 0
